I'm looking to write a VBA macro that'll run through an entire assembly and list all the assemblies and parts that have a custom property like "Inhouse" set to a certain value (YES/NO)...
Any example of something that at least runs through a whole assembly?
I want a ilogic rule syntax for following process:
I have one excel sheet it consists around 5 sheets for Plate, Flats, Rounds, etc. When i am run the rule then it will ask and do the following:
Ask the thickness value.It will search thickness value in “D:LINUS KOTTEstock numbers.xlsx” in sheet 1If thickness value found then fill the stock number in iproperty(project tab-stock number)
Here i am using different rules for plate, flat, round, etc.,
Recently I had to re-install Inv 2011. Before I did this, I could stack my text. After re-install, it asked for my atuostack options (which i entered), and clicked "Do Not Show Again". Afterwhich the text did not stack (which is the opposite of what i told it to do). Now I cannot stack text at all. Even if i highlight, right click, and select stack - it doesn't stack. If I open a prevoius drawing with stacked text it shows stacked text, but if you edit the text field it shows the text as S<1/70>3#8s for 3/8.
For some reason I cannot stack dimensions anymore. Even when I try to stack mtext it doesn't work. Is there something that may have been changed in dim styles or anywhere else that has caused this?
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
We have an iLogic assembly with to parts in it. Maybe to cylindrical parts. The iLogic rules should do the following.
1. Start a Rule after open document.
2. This Rule starts a Rule in the first cylindrical component.
3. This Rule ask the user for a diameter.
4. The assembly gives this new parameter value to the second component
5. Then the assembly calls another rule in the second component to change it with the new parameter
Everything is working fine when the following combinations are taking place:
1. I open up the assembly out of vault or from a local drive or an accessible server drive
2. I insert the assembly as sub assembly in another assembly from a local drive or an accessible server drive
It don't work with the following situation:
- I insert the assembly as sub assembly in another assembly out of vault
Then the user becomes the dialog "Choose a diameter" twice.
I don't know why, but I have the idea it has something to do with the functionality of inventor to insert a component more than once. If you insert a component in an assembly Inventor gives you the opportunity to add more than one occurence after each other.
change that behaviour? Maybe a switch to change that inventor "add more than one occurence" behaviour.
I have encountered a problem with the Tube and Pipe styles.
As you can see, I have a rack assembly with a custom tube and pipe style. A wire as a tube in orange, and a tube support in white. Both have their seperate colorations at a style in the tube and pipe styles editor
When placing the rack assembly into the main assembly, it reverts to the coppor coloration I changed from the original style.
Steps I've taken:
Exported the styles .xml and Imported the styles into the master tubeandpipe.iam
Imported the user created .xml styles into the main assembly file nothing seems to work
I am trying to find the interior volume of an assembly (when am I not?!?!) by subtracting the assembly from a block that surrounds the most of it. Somewhere the assembly has a "leak" and I have been trying to use the Cross Section Analysis to track down where the inside lump is connected to the outside lump to be subtracted. Is there a less time consuming way to dynamically drag a plane across and get cross sectional views?
Even better is there a simple way to animate the analysis plane moving across the block so I can hopefully just watch and pause it when I find a leak?
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
I would like to see if there is a routine that allows my iLogic code to detect if my assembly contains another assembly within it. If my assebly contains assemblies then I don't want "MyRule" to run. Else if it does then I want "MyRule" to run.
Im trying to find a particular block amongst hundreds. I know the name of the block also what layer it is on i just want to be able to find that block through a search so i don't have to spend ages scouring the drawing to find it.
We're looking to use our state provided aerial photos as background landbase in our production maps. I'm wondering AutoCAD Map has to ability to search for geographical locations (like a Google Maps) if the database (??) is connected to the drawing. I understand our state's aerial photos to be referenced to the NAD83 state plan coordinate system.
It seems there are several ways to search hard coded (overridden) dimensions. However, the FIND command does not locate dimensions that are not overridden.
Example, I want to find all dimensions that are 12'-0". If I 'FIND' 12'-0", it will only locate dimensions that I have forced to 12'-0".
I have a 2D plan and a 3D plan. The data is essentially the same on both, the only difference being that the 2D plan has several hundred points on it (all at elevation/z coordinate of 0, of which can easily be copied to the 3D plan).
I want to move those 2D points to their respective 3D positions. I.e. if point X is at coordinates 15213.321, 51646.632, 0 I would like to search in the Z direction above (or below; although in this data set it would always be above) for any object (line, polyline, 3dpolyline or an arc only I think) that crosses or is on this coordinate and then move the point (or place a new point) to that z coordinate. So if there is a line whose z value is 895.265 at coordinate 15213.321, 51646.632, then the point (that was originally 2D) would become 15213.321, 51646.632, 895.265.
Any lisp or other method in AutoCad that could accomplish this (ideally without having to select each point individually)? Surely this must have come up a few times before although I'm not too sure what search words to be using to look for info.
I try create simple block where I change dimensions of polylines. Everything work with stretch partameter until I try use search parameter for change dimension.
create a routine to list all the dyanmic blocks in my drawing with a specific visibilty parameter name. The problem with the blocks that I'm trying to search for in my draiwng is that the visibility names are very similar with the only differences being CASE sensitivity (ie. OBJECT vs. Object).
(defun c:test (/ BNAME DATA E I PNAME SS VIS) (if (setq data nil vis (getstring T " Enter the Visibility Parameter Name: ") ss (ssget"_X"(list (cons 0 "INSERT") (cons 2 "`*U*")) ) ) ;; setq (progn (repeat (setq i (sslength ss))(cond ((and (setq bname(vla-get-EffectiveName (setqe (vlax-ename->vla-object (ssname ss (setq i (1- i)) ) ) )) ) (setq Pname(car (vl-remove-if-not '(lambda(j) (eq (strcase (vla-get-PropertyName j)) (strcase vis) )) (vlax-invoke e 'GetDynamicBlockProperties) )) ) (not (member bname data)) ) (setq data (cons bname data)) (foreach itm data (print itm)) ));; cond );; repeat );; progn );; if (if (null data) (princ " Block/Parameter Name not found")) (princ))
In AutoCAD LT 2013, everytime I do something, little gray boxes explaining what I just did stack up on top of the "Type a command" box. Since you can't see thru, or work thru those little gray stack boxes I find myself constantly panning my drawing back and forth to work around them. It would sure make my drawing more efficient and less frustrating if I could turn off those little gray stack boxes. I've clicked around to try to find out if this can be done, but not knowing what they are called is making the quest a bit difficult.
I am using Photoshop 6. Since I have loaded a picture from a floppy disk, Photoshop keeps searching the a:/ disk of my computer with almost every action I do (selecting a tool, opening the layer style window, selecting a layer, what ever)
Every time I hear the sound of the computrer searching for a floppy, that is not there, and see the light of the a: drive flickering.
It makes working with PS rather slow.
This only happens with PS not with other programs. And it continues after resetting the computer.
I am used to searching for Elements by using their IDs, however in editing a door family I have been stumped by a dialogue, herewith:
The unusual thing with this is that this dialogue is always followed by another stating that 'No good view could be found', whatever view I try to look for them in! Having opened every view in the family and done a search I am wondering what next to do?
When searching for images in Elements 10 by tags such as "cats" is there any way to prevent Elements 10 from displaying all the images in a stack which might contain one image tagged "cats"?
AutoCAD insists on stacking fractions. I've tried everything I can think of to get the Auto Stack dialogue box to come up, but sometime I must have checked the "do not show me this again" box. I can't figure out how to reset the default to horizontal fractions.
I am presently working on a P&ID drawing and there are numerous small size pipes, valves and reducers and I would like to use vertical stacked fraction. I am presently emptying the attribute and putting a Mtext in its place. It is slow and troublesome.
How to get Mtext into the block editor so I can use it instead of single line text when I am creating block attributes?